%title Haha.
%date 2005-11-06 23:21:28
:diary:livejournal:fossils:

I was looking around through the <em>Pharmako</em>* books and found that I'd missed several more pages of content in the reference section, where Pendell does more than just list the references he used:

On the science front, researches at Cambridge University found that they were able to kill 238 mice with a combination of methamphetamine and loud music.

<blockquote><em>Say...what?</em></blockquote>
--Dale Pendell - <em>Pharmako/Dynamis</em>